<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS name="Section"   package="performa.orm">
        <IMPORT value="performa.orm.types.*"/>

        <MULTIPLEREFERENCE  name="Questions"    type="Question" backreferenceName="Section" />

        <TABLE  name="tl_quest_hdr" tablePrefix="object"    polymorphic="FALSE">

            <ATTRIB name="Description"  type="String"       dbcol="quest_hdr_desc"  length="30"/>
            <ATTRIB name="QuestionType" type="QuestionType" dbcol="quest_type_flag" attribHelper="EnumeratedAttributeHelper" />

        </TABLE>
        
        <SEARCH type="All"  paramFilter="tl_quest_hdr.object_id is not null"    orderBy="tl_quest_hdr.object_id" />

    </BUSINESSCLASS>
    
</ROOT>